Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 592516 - boost missing TEXTREL allocations for multiple libs - missing -fPIC on s390
boost missing TEXTREL allocations for multiple libs - missing -fPIC on s390
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: boost (Show other bugs)
6.0
s390 Linux
high Severity medium
: rc
: ---
Assigned To: Petr Machata
Michal Nowak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 00:08 EDT by Miroslav Vadkerti
Modified: 2015-05-04 21:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: boost-1.41.0-11.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 14:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2010-05-15 00:08:47 EDT
Description of problem:
Please see RPMdiff run

http://rhel6rpmdiff.lab.eng.brq.redhat.com/run.php?runid=2977&selectedid=7

Version-Release number of selected component (if applicable):
boost-1.41.0-8.el6

How reproducible:
always

Steps to Reproduce:
1. run rpmdiff adhoc analysis for boost
  
Actual results:
Execshield test fails

Expected results:
Execshield test passes

Additional info:
Comment 2 RHEL Product and Program Management 2010-05-15 00:25:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Petr Machata 2010-05-19 12:47:01 EDT
Looking at the libboost_graph_parallel-mt.so.5 case in logs.  In s390x, it uses libmpich.so and no text relocations are reported.  In s390, there's libmpich.a instead of libmpich.so, and text relocations are reported.

Looking at build log of mpich2 of the version that boost used:
  https://brewweb.devel.redhat.com/buildinfo?buildID=128887
  - add -fPIC for s390, to close

I'll simply try to rebuild, might help...
Comment 6 Miroslav Vadkerti 2010-06-07 08:18:28 EDT
Michal, you can see latest rpmdiff results:

http://rhel6rpmdiff.lab.eng.brq.redhat.com/search.php?search=boost
Comment 8 releng-rhel@redhat.com 2010-07-02 14:53:47 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.